// exports from <IOKit/IOReturn.h>

use mach::kern_return::{kern_return_t,KERN_SUCCESS};

pub type IOReturn = kern_return_t;

pub const kIOReturnSuccess:          IOReturn = KERN_SUCCESS;
pub const kIOReturnError:            IOReturn = -0x1FFFFD44;
pub const kIOReturnNoMemory:         IOReturn = -0x1FFFFD43;
pub const kIOReturnNoResources:      IOReturn = -0x1FFFFD42;
pub const kIOReturnIPCError:         IOReturn = -0x1FFFFD41;
pub const kIOReturnNoDevice:         IOReturn = -0x1FFFFD40;
pub const kIOReturnNotPrivileged:    IOReturn = -0x1FFFFD3F;
pub const kIOReturnBadArgument:      IOReturn = -0x1FFFFD3E;
pub const kIOReturnLockedRead:       IOReturn = -0x1FFFFD3D;
pub const kIOReturnLockedWrite:      IOReturn = -0x1FFFFD3C;
pub const kIOReturnExclusiveAccess:  IOReturn = -0x1FFFFD3B;
pub const kIOReturnBadMessageID:     IOReturn = -0x1FFFFD3A;
pub const kIOReturnUnsupported:      IOReturn = -0x1FFFFD39;
pub const kIOReturnVMError:          IOReturn = -0x1FFFFD38;
pub const kIOReturnInternalError:    IOReturn = -0x1FFFFD37;
pub const kIOReturnIOError:          IOReturn = -0x1FFFFD36;
pub const kIOReturnCannotLock:       IOReturn = -0x1FFFFD34;
pub const kIOReturnNotOpen:          IOReturn = -0x1FFFFD33;
pub const kIOReturnNotReadable:      IOReturn = -0x1FFFFD32;
pub const kIOReturnNotWritable:      IOReturn = -0x1FFFFD31;
pub const kIOReturnNotAligned:       IOReturn = -0x1FFFFD30;
pub const kIOReturnBadMedia:         IOReturn = -0x1FFFFD2F;
pub const kIOReturnStillOpen:        IOReturn = -0x1FFFFD2E;
pub const kIOReturnRLDError:         IOReturn = -0x1FFFFD2D;
pub const kIOReturnDMAError:         IOReturn = -0x1FFFFD2C;
pub const kIOReturnBusy:             IOReturn = -0x1FFFFD2B;
pub const kIOReturnTimeout:          IOReturn = -0x1FFFFD2A;
pub const kIOReturnOffline:          IOReturn = -0x1FFFFD29;
pub const kIOReturnNotReady:         IOReturn = -0x1FFFFD28;
pub const kIOReturnNotAttached:      IOReturn = -0x1FFFFD27;
pub const kIOReturnNoChannels:       IOReturn = -0x1FFFFD26;
pub const kIOReturnNoSpace:          IOReturn = -0x1FFFFD25;
pub const kIOReturnPortExists:       IOReturn = -0x1FFFFD23;
pub const kIOReturnCannotWire:       IOReturn = -0x1FFFFD22;
pub const kIOReturnNoInterrupt:      IOReturn = -0x1FFFFD21;
pub const kIOReturnNoFrames:         IOReturn = -0x1FFFFD20;
pub const kIOReturnMessageTooLarge:  IOReturn = -0x1FFFFD1F;
pub const kIOReturnNotPermitted:     IOReturn = -0x1FFFFD1E;
pub const kIOReturnNoPower:          IOReturn = -0x1FFFFD1D;
pub const kIOReturnNoMedia:          IOReturn = -0x1FFFFD1C;
pub const kIOReturnUnformattedMedia: IOReturn = -0x1FFFFD1B;
pub const kIOReturnUnsupportedMode:  IOReturn = -0x1FFFFD1A;
pub const kIOReturnUnderrun:         IOReturn = -0x1FFFFD19;
pub const kIOReturnOverrun:          IOReturn = -0x1FFFFD18;
pub const kIOReturnDeviceError:      IOReturn = -0x1FFFFD17;
pub const kIOReturnNoCompletion:     IOReturn = -0x1FFFFD16;
pub const kIOReturnAborted:          IOReturn = -0x1FFFFD15;
pub const kIOReturnNoBandwidth:      IOReturn = -0x1FFFFD14;
pub const kIOReturnNotResponding:    IOReturn = -0x1FFFFD13;
pub const kIOReturnIsoTooOld:        IOReturn = -0x1FFFFD12;
pub const kIOReturnIsoTooNew:        IOReturn = -0x1FFFFD11;
pub const kIOReturnNotFound:         IOReturn = -0x1FFFFD10;
pub const kIOReturnInvalid:          IOReturn = -0x1FFFFFFF;
